curl --request POST \
--url https://api.cekura.ai/observability/v1/deep-research-insights/generate/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}
'import requests
url = "https://api.cekura.ai/observability/v1/deep-research-insights/generate/"
payload = {
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 123,
window_days: 7,
date_from: '2023-11-07T05:31:56Z',
date_to: '2023-11-07T05:31:56Z',
max_calls: 500,
focus: ''
})
};
fetch('https://api.cekura.ai/observability/v1/deep-research-insights/generate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/deep-research-insights/generate/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 123,
'window_days' => 7,
'date_from' => '2023-11-07T05:31:56Z',
'date_to' => '2023-11-07T05:31:56Z',
'max_calls' => 500,
'focus' => ''
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/deep-research-insights/generate/"
payload := strings.NewReader("{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/deep-research-insights/generate/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/deep-research-insights/generate/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}Generate Deep Research Insights
Queue a Deep Research audit; returns the new row in pending.
curl --request POST \
--url https://api.cekura.ai/observability/v1/deep-research-insights/generate/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}
'import requests
url = "https://api.cekura.ai/observability/v1/deep-research-insights/generate/"
payload = {
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project: 123,
window_days: 7,
date_from: '2023-11-07T05:31:56Z',
date_to: '2023-11-07T05:31:56Z',
max_calls: 500,
focus: ''
})
};
fetch('https://api.cekura.ai/observability/v1/deep-research-insights/generate/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/deep-research-insights/generate/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'project' => 123,
'window_days' => 7,
'date_from' => '2023-11-07T05:31:56Z',
'date_to' => '2023-11-07T05:31:56Z',
'max_calls' => 500,
'focus' => ''
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/deep-research-insights/generate/"
payload := strings.NewReader("{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/deep-research-insights/generate/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/deep-research-insights/generate/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"project\": 123,\n \"window_days\": 7,\n \"date_from\": \"2023-11-07T05:31:56Z\",\n \"date_to\": \"2023-11-07T05:31:56Z\",\n \"max_calls\": 500,\n \"focus\": \"\"\n}"
response = http.request(request)
puts response.read_body{
"project": 123,
"window_days": 7,
"date_from": "2023-11-07T05:31:56Z",
"date_to": "2023-11-07T05:31:56Z",
"max_calls": 500,
"focus": ""
}Authorizations
API Key Authentication. It should be included in the header of each request.
Body
Request body for POST /deep-research-insights/generate/.
Project ID to generate Deep Research for.
Lookback in days, counted back from now. Ignored when date_from / date_to are supplied.
1 <= x <= 30Start of the window to audit (ISO datetime). Must be sent together with date_to and takes precedence over window_days.
End of the window to audit (ISO datetime). Sent with date_from.
10 <= x <= 1000Optional research focus, stored and passed to the audit verbatim. If it cannot be understood, the audit falls back to a full audit.
2000Response
Request body for POST /deep-research-insights/generate/.
Project ID to generate Deep Research for.
Lookback in days, counted back from now. Ignored when date_from / date_to are supplied.
1 <= x <= 30Start of the window to audit (ISO datetime). Must be sent together with date_to and takes precedence over window_days.
End of the window to audit (ISO datetime). Sent with date_from.
10 <= x <= 1000Optional research focus, stored and passed to the audit verbatim. If it cannot be understood, the audit falls back to a full audit.
2000